Subject: bug#20084: comint-highlight-prompt overrides ANSI colors in 24.4

From: Wolfgang Jenkner <[email-masked]>
Date: Mon, 30 Mar 2015 17:54:39 +0200

On Tue, Mar 24 2015, Glenn Morris wrote:

> 1) It's too late to fix this "properly" for 24.5.
> 2) The problem from 14744 (sometimes flickering on output)
> is less of an issue than this issue (prompt not coloured)

This (or rather, its root cause) is still a comparatively small bug,
IMHO.

> so I suggest reverting the changes from 14744 in emacs-24,

Even if this were a more recent change and it could be safely reverted,
that would mean that someone has to maintain the old code during the
lifetime of 24.5.

Also, it seems that 24.5 is frozen now, so I think there's really
nothing more left to do than to close the bug and unblock #19758 by it.
I'll do this soon if nobody objects.